
#ifndef _RT2870_DEBUG_H_
#define _RT2870_DEBUG_H_

#ifdef RT2870_DEBUG

#define DPRINTF(sc, x)			do { if ((sc)->debug > 0) printf x; } while (0)
#define DPRINTFN(sc, n, x)		do { if ((sc)->debug >= (n)) printf x; } while (0)

#else

#define DPRINTF(sc, x)
#define DPRINTFN(sc, n, x)

#endif /* #ifdef RT2870_DEBUG */

#endif /* #ifndef _RT2870_DEBUG_H_ */
