
#ifndef _RT2870_LED_H_
#define _RT2870_LED_H_

#include "rt2870_softc.h"

#define RT2870_LED_CMD_RADIO_OFF				0
#define RT2870_LED_CMD_RADIO_ON					(1 << 5)
#define RT2870_LED_CMD_LINK_2GHZ				(1 << 6)
#define RT2870_LED_CMD_LINK_5GHZ				(1 << 7)

void rt2870_led_brightness(struct rt2870_softc *sc, uint8_t brightness);

void rt2870_led_cmd(struct rt2870_softc *sc, uint8_t cmd);

#endif /* #ifndef _RT2870_LED_H_ */
