
#ifndef _RT2870_RXINFO_H_
#define _RT2870_RXINFO_H_

#define RT2870_RXINFO_FLAGS_LAST_AMSDU					(1 << 19)
#define RT2870_RXINFO_FLAGS_CIPHER_ALG					(1 << 18)
#define RT2870_RXINFO_FLAGS_PLCP_RSSIL					(1 << 17)
#define RT2870_RXINFO_FLAGS_DECRYPTED					(1 << 16)
#define RT2870_RXINFO_FLAGS_AMPDU						(1 << 15)
#define RT2870_RXINFO_FLAGS_L2PAD						(1 << 14)
#define RT2870_RXINFO_FLAGS_RSSI						(1 << 13)
#define RT2870_RXINFO_FLAGS_HTC							(1 << 12)
#define RT2870_RXINFO_FLAGS_AMSDU						(1 << 11)
#define RT2870_RXINFO_FLAGS_CRC_ERR						(1 << 8)
#define RT2870_RXINFO_FLAGS_MYBSS						(1 << 7)
#define RT2870_RXINFO_FLAGS_BCAST						(1 << 6)
#define RT2870_RXINFO_FLAGS_MCAST						(1 << 5)
#define RT2870_RXINFO_FLAGS_U2M							(1 << 4)
#define RT2870_RXINFO_FLAGS_FRAG						(1 << 3)
#define RT2870_RXINFO_FLAGS_NULL_DATA					(1 << 2)
#define RT2870_RXINFO_FLAGS_DATA						(1 << 1)
#define RT2870_RXINFO_FLAGS_BA							(1 << 0)

#define RT2870_RXINFO_FLAGS_CIPHER_ERR_SHIFT			9
#define RT2870_RXINFO_FLAGS_CIPHER_ERR_MASK				0x3
#define RT2870_RXINFO_FLAGS_CIPHER_ERR_NONE				0
#define RT2870_RXINFO_FLAGS_CIPHER_ERR_ICV				1
#define RT2870_RXINFO_FLAGS_CIPHER_ERR_MIC				2
#define RT2870_RXINFO_FLAGS_CIPHER_ERR_INVALID_KEY		3

#define RT2870_RXINFO_FLAGS_PLCP_SIGNAL_SHIFT			20
#define RT2870_RXINFO_FLAGS_PLCP_SIGNAL_MASK			0xfff

struct rt2870_rxinfo
{
	uint32_t flags;
} __packed;

#endif /* #ifndef _RT2870_RXINFO_H_ */
